Subject: Re: [PATCH] gitweb - Use <description> instead of <content:encoded>.

From: Yasushi SHOJI <[email-masked]>
Date: Fri, 19 Aug 2005 01:26:52 +0900

At Thu, 18 Aug 2005 18:01:09 +0200,
Kay Sievers wrote:
> 
> On Thu, Aug 18, 2005 at 11:30:41PM +0900, Yasushi SHOJI wrote:
> > Use <description> instead of <content:encoded>.
> > 
> > RSS 2.0 Specification doesn't have <content:encoded>.
> > see http://blogs.law.harvard.edu/tech/rss
> 
> See here:
>   http://www.notestips.com/80256B3A007F2692/1/NAMO5P9UPQ
> 
>   The <description> element is designed to contain plain text ONLY. When
>   the content of your items contains anything other than plain text i.e.
>   HTML or XHTML the <content:encoded> element should be used.
> 
> Hmm, there was a request to change it to "encoded" and the mentioned page
> sounded reasonable to me. I will happily change it to the "correct"
> format, if you provide _authoritative_ information that we can trust.

hmm... I'm not an rss guy.  so not sure for anything.

at least, the link you gave me points to the rss 2.0 spec site I put
in the log as "RSS v2.0".  that can be seen as "more trust'able"

also, in the rss 2.0 spec site, you can find 2.0 sample under "Sapmple
files", which contain _escaped tag_ in <description>.

that's all I can say :<  can any one help?

> "It works in XY-reader" does not count. :)

agreed.
--
         yashi